<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LeadRemark extends Model
{
    use HasFactory;

    public const TYPE_GENERAL = 'general';
    public const TYPE_DESIGN = 'design';

    protected $fillable = [
        'lead_id',
        'user_id',
        'remark',
        'type',
    ];

    public function lead()
    {
        return $this->belongsTo(Lead::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
